package com.zxdmy.excite.system.mapper.cloud.space;

import com.zxdmy.excite.system.entity.cloud.space.CloudFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zxdmy.excite.system.entity.req.account.ReqCompany;
import com.zxdmy.excite.system.entity.req.space.ReqCloudFile;
import com.zxdmy.excite.system.entity.vo.account.CompanyVo;
import com.zxdmy.excite.system.entity.vo.space.CloudFileVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 文件表 Mapper 接口
 * </p>
 *
 * @author ss
 * @since 2026-01-28
 */
@Mapper
public interface CloudFileMapper extends BaseMapper<CloudFile> {

    ArrayList<CloudFileVo> queryByPage(@Param("page")Integer pageNo, @Param("size")Integer pageSize, @Param("data") ReqCloudFile data);

    Integer queryByPageCount(@Param("data") ReqCloudFile data);

    ArrayList<CloudFileVo> queryByRecyclePage(@Param("page")Integer pageNo, @Param("size")Integer pageSize, @Param("data") ReqCloudFile data);
    Integer queryByRecyclePageCount(@Param("data") ReqCloudFile data);

    CloudFileVo getData(@Param("data") ReqCloudFile data);

    ArrayList<CloudFileVo> queryByIndexPage(@Param("page")Integer pageNo, @Param("size")Integer pageSize, @Param("data") ReqCloudFile data);

    Integer queryByIndexPageCount(@Param("data") ReqCloudFile data);
    List<CloudFileVo> queryFileByData(@Param("data") ReqCloudFile data);

}
